Skip To The Main Content
Forums / MeshWorks Software / Meshworks Interrupts

Meshworks Interrupts

5 posts, 0 answered
  1. pve avatar
    pve
    5 posts
    Registered:
    21 Sep 2015
    28 Oct 2015
    Hello,

    I tried to use interrupt for rising and falling edges on button, but MeshWorks does not permit me to do so.
    Because of your guide does not have any example how to use celPy.addInterrupt I tried to use such combintations:
    buttonPoint = ["button", "PA3", "digital", "buttonF", 1]

    #1
    celPy.addInterrupt("buttonPoint", "TestFun", 3)
    #2
    celPy.addInterrupt(buttonPoint, TestFun, 3)
    #3
    celPy.addInterrupt("button", TestFun, 3)
    #4
    celPy.addInterrupt("button", "TestFun", 3)

    But none of them works.
    Could you tell me what I do wrong?
  2. vreinhardt avatar
    vreinhardt
    53 posts
    Registered:
    08 Jul 2014
    28 Oct 2015 in reply to pve
    Hi pve,

    Can you please connect to your sensor node and type "info" at the event log and let me know what software version you have.

    Example, you should see something like this:
    ----- Version Information -----------
    CEL EM35xx Base Image Version: 1.0 build 1148
      SiLabs EM35xx Stack Version: 5.1.0 build 49
                        built for: MontyDevKit
                        chip type: EM3588/EM3587

    Thanks,

    Vince
    Last modified on 28 Oct 2015 14:10 by vreinhardt
  3. pve avatar
    pve
    5 posts
    Registered:
    21 Sep 2015
    28 Oct 2015 in reply to vreinhardt
    Hello Vince,

    On the sensor nodes the ouput of "info" command:
    ----- Version Information -----------
    CEL EM35xx Base Image Version: 1.0 build 2263
      SiLabs EM35xx Stack Version: 5.1.0 build 49
                        built for: MontyDevKit
                        chip type: EM3588/EM3587

    But I tried to use interrupts for the ZMW-GW-ETH-1 node which unforunately I can not check firmware version.
  4. DPeterson avatar
    DPeterson
    7 posts
    Registered:
    03 Mar 2015
    30 Oct 2015 in reply to pve
    Support for interrupt-driven data points was not added until the 5359 release.
  5. pve avatar
    pve
    5 posts
    Registered:
    21 Sep 2015
    05 Nov 2015 in reply to DPeterson
    Hello,

    Could you tell if there is a way to upgrade the Base Image to the newest version? As you tell my version is quite old.

    Your sincerely,
    Vladimir